Bug 1434119 - GSequencer may crash as no soundcard configured
Summary: GSequencer may crash as no soundcard configured
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gsequencer
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joël Krähemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 18:34 UTC by Joël Krähemann
Modified: 2017-04-27 20:51 UTC (History)
2 users (show)

Fixed In Version: gsequencer-0.7.122.23-0.fc26 gsequencer-0.7.135-1.fc25 gsequencer-0.7.135-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-27 19:52:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Joël Krähemann 2017-03-20 18:34:04 UTC
Description of problem:
GSequencer allows configuration in place. Giving the option to remove all soundcards. Currently as no soundcard present GSequencer crashes.

Version-Release number of selected component (if applicable):
0.7.122.7-1

How reproducible:
certain.

Steps to Reproduce:
1. remove all soundcards
2. add AgsMatrix, AgsDrum or any synthesizer plugin
3. SIGSEGV

Actual results:
The application crashes with SIGSEGV.

Expected results:
The application shall not crash under any circumstances.

Additional info:
Upstream repository already fixed it.

Comment 1 Joël Krähemann 2017-03-20 19:38:06 UTC
Hi

provided a patch to fix the issue.

gsequencer.2-fix-no-soundcard.patch

Bests,
Joël

Comment 2 Fedora Update System 2017-03-21 12:35:16 UTC
gsequencer-0.7.122.7-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf233b5047

Comment 3 Fedora Update System 2017-03-21 12:36:13 UTC
gsequencer-0.7.122.7-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e80000bc61

Comment 4 Fedora Update System 2017-03-21 12:37:04 UTC
gsequencer-0.7.122.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e51beb07a

Comment 5 Fedora Update System 2017-03-21 14:27:22 UTC
gsequencer-0.7.122.7-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cf233b5047

Comment 6 Fedora Update System 2017-03-21 17:53:25 UTC
gsequencer-0.7.122.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e51beb07a

Comment 7 Fedora Update System 2017-03-21 17:55:19 UTC
gsequencer-0.7.122.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e80000bc61

Comment 8 Fedora Update System 2017-04-10 06:51:29 UTC
gsequencer-0.7.122.20-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e4ee54060

Comment 9 Fedora Update System 2017-04-10 06:52:30 UTC
gsequencer-0.7.122.20-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-01f5202c66

Comment 10 Fedora Update System 2017-04-10 06:53:11 UTC
gsequencer-0.7.122.20-0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2345652754

Comment 11 Fedora Update System 2017-04-10 22:22:52 UTC
gsequencer-0.7.122.20-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e4ee54060

Comment 12 Fedora Update System 2017-04-10 22:56:54 UTC
gsequencer-0.7.122.20-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-01f5202c66

Comment 13 Fedora Update System 2017-04-11 00:25:37 UTC
gsequencer-0.7.122.20-0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2345652754

Comment 14 Fedora Update System 2017-04-13 05:57:37 UTC
gsequencer-0.7.122.21-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bbaddcd43

Comment 15 Fedora Update System 2017-04-13 05:58:12 UTC
gsequencer-0.7.122.21-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-984ec2b3c1

Comment 16 Fedora Update System 2017-04-13 05:58:54 UTC
gsequencer-0.7.122.21-0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d4d08212

Comment 17 Fedora Update System 2017-04-13 15:20:24 UTC
gsequencer-0.7.122.21-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-984ec2b3c1

Comment 18 Fedora Update System 2017-04-13 15:20:54 UTC
gsequencer-0.7.122.21-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3bbaddcd43

Comment 19 Fedora Update System 2017-04-13 17:22:13 UTC
gsequencer-0.7.122.21-0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-09d4d08212

Comment 20 Fedora Update System 2017-04-14 12:28:54 UTC
gsequencer-0.7.122.23-0.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc3bcee128

Comment 21 Fedora Update System 2017-04-14 12:29:30 UTC
gsequencer-0.7.122.23-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1bcd5c0cba

Comment 22 Fedora Update System 2017-04-14 12:30:08 UTC
gsequencer-0.7.122.23-0.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-681b4e46b8

Comment 23 Fedora Update System 2017-04-14 23:53:39 UTC
gsequencer-0.7.122.23-0.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc3bcee128

Comment 24 Fedora Update System 2017-04-15 00:29:24 UTC
gsequencer-0.7.122.23-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1bcd5c0cba

Comment 25 Fedora Update System 2017-04-15 01:50:56 UTC
gsequencer-0.7.122.23-0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-681b4e46b8

Comment 26 Fedora Update System 2017-04-18 19:59:48 UTC
gsequencer-0.7.122.23-0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-04-19 13:32:12 UTC
gsequencer-0.7.135-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-98c244ae54

Comment 28 Fedora Update System 2017-04-19 13:33:10 UTC
gsequencer-0.7.135-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-449e7e286f

Comment 29 Fedora Update System 2017-04-20 00:28:03 UTC
gsequencer-0.7.135-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-449e7e286f

Comment 30 Fedora Update System 2017-04-20 03:20:39 UTC
gsequencer-0.7.135-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-98c244ae54

Comment 31 Fedora Update System 2017-04-27 19:52:57 UTC
gsequencer-0.7.135-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-04-27 20:51:02 UTC
gsequencer-0.7.135-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.